#!/bin/bash

package_string[1]="install the dLAN USB driver only" 
package_string[2]="install the dLAN configurationtool only" 
package_string[3]="install both packages" 
package_string[4]="exit"
REPLY=8
PS3="Choose (1-4):"
echo "This devolo webpackage includes the dLAN USB driver and the dLAN configuration utility."
echo "To install the software on your computer you must be root!" 
while [[ $REPLY > 4 ]] 
do
echo "Please select the packages, you would like to install."
select package in "${package_string[@]}"
do
	break
done
if [[ $REPLY > 4 ]]; then
		echo "Please select a value from 1 to 4."
fi
done

if [[ $REPLY == 1 ]]; then
		echo "Installing only the dLAN USB driver"
		echo "starting configure"
		./configure || exit -1;
		echo "building the dLAN USB driver"
		make usbdriver || exit -1;
		echo "Installing USB driver into the system"
		make install-usbdriver	|| exit -1
		echo "Registering USB driver to start on boottime"
		make installboot-usbdriver || exit -1
elif [[ $REPLY == 2 ]]; then
		echo "Installing only the dLAN configuration utility"
		echo "starting configure"
		./configure --disable-usbdriver|| exit -1;
		echo "building the configuration utility"
		make cfgtool || exit -1;
		echo "Installing the configuration utility"
		make install-cfgtool	|| exit -1
elif [[ $REPLY == 3 ]]; then
		echo "Installing the dLAN USB driver and the configuration utility"
		echo "starting configure"
		./configure || exit -1;
		echo "building the dLAN USB driver and the configuration utility"
		make || exit -1;
		echo "Installing USB driver into the system"
		make install	|| exit -1
		echo "Registering USB driver to load on boottime"
		make installboot-usbdriver || exit -1
elif [[ $REPLY == 4 ]]; then
		exit 0;
fi
